<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('website_applications', function (Blueprint $table) {
            $table->id();
            $table->string('name_ar');
            $table->string('name_en');
            $table->string('name_ku');
            $table->text('details_ar');
            $table->text('details_en');
            $table->text('details_ku');
            $table->string('apple_url_ar', 2048);
            $table->string('apple_url_en', 2048);
            $table->string('apple_url_ku', 2048);
            $table->string('android_url_ar', 2048);
            $table->string('android_url_en', 2048);
            $table->string('android_url_ku', 2048);
            $table->string('logo_ar');
            $table->string('logo_en');
            $table->string('logo_ku');
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('website_applications');
    }
};
